Bug 1562631 - Review Request: perl-HTML-Restrict - Perl module to strip unwanted HTML tags and attributes
Summary: Review Request: perl-HTML-Restrict - Perl module to strip unwanted HTML tags ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-01 16:33 UTC by Robert Scheck
Modified: 2018-04-11 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-07 22:13:53 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2018-04-01 16:33:57 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/perl-HTML-Restrict.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/perl-HTML-Restrict-2.3.0-1.src.rpm
Description: A perl module that uses HTML::Parser to strip HTML from text in
a restrictive manner. By default all HTML is restricted, but default behaviour
may be altered by supplying own tag rules.
Fedora Account System Username: robert

Comment 1 Robert-André Mauchin 🐧 2018-04-01 18:33:47 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: f8b5b45e653d7d5c621bca43288652168f3995971d9da928ab79d17f59b203d7) is original. Ok.
Summary verified from lib/HTML/Restrict.pm. Ok.
Description verified from lib/HTML/Restrict.pm. Ok.
License verified from lib/HTML/Restrict.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-HTML-Restrict.spec review-perl-HTML-Restrict/results/perl-HTML-Restrict-2.3.0-1.fc29.noarch.rpm review-perl-HTML-Restrict/results/perl-HTML-Restrict-2.3.0-1.fc29.src.rpm 
perl-HTML-Restrict.noarch: W: spelling-error %description -l en_US behaviour -> behavior
perl-HTML-Restrict.noarch: E: wrong-script-interpreter /usr/share/doc/perl-HTML-Restrict/sanitize_file.pl /usr/bin/env perl
perl-HTML-Restrict.src: W: spelling-error %description -l en_US behaviour -> behavior
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

$ rpm -q -lv -p perl-HTML-Restrict-2.3.0-1.fc29.noarch.rpm    20:26:31
drwxr-xr-x    2 root    root                        0 avril  1 20:16 /usr/share/doc/perl-HTML-Restrict
-rw-r--r--    1 root    root                      477 févr.  9 17:00 /usr/share/doc/perl-HTML-Restrict/CONTRIBUTORS
-rw-r--r--    1 root    root                     4415 févr.  9 17:00 /usr/share/doc/perl-HTML-Restrict/Changes
-rw-r--r--    1 root    root                    13098 févr.  9 17:00 /usr/share/doc/perl-HTML-Restrict/README.md
-rw-r--r--    1 root    root                      369 févr.  9 17:00 /usr/share/doc/perl-HTML-Restrict/sanitize_file.pl
drwxr-xr-x    2 root    root                        0 avril  1 20:16 /usr/share/licenses/perl-HTML-Restrict
-rw-r--r--    1 root    root                    18361 févr.  9 17:00 /usr/share/licenses/perl-HTML-Restrict/LICENSE
-rw-r--r--    1 root    root                     5949 avril  1 20:16 /usr/share/man/man3/HTML::Restrict.3pm.gz
drwxr-xr-x    2 root    root                        0 avril  1 20:16 /usr/share/perl5/vendor_perl/HTML
-rw-r--r--    1 root    root                    22162 févr.  9 17:00 /usr/share/perl5/vendor_perl/HTML/Restrict.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-HTML-Restrict-2.3.0-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Carp)
      1 perl(Data::Dump)
      1 perl(HTML::Entities)
      1 perl(HTML::Parser)
      1 perl(List::Util) >= 1.33
      1 perl(Moo) >= 1.002000
      1 perl(namespace::clean)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Sub::Quote)
      1 perl(Types::Standard) >= 1.000001
      1 perl(URI)
      1 perl(version)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p perl-HTML-Restrict-2.3.0-1.fc29.noarch.rpm 
perl(HTML::Restrict) = 2.3.0
perl-HTML-Restrict = 2.3.0-1.fc29
Binary provides are Ok.

Package builds in F28 (https://koji.fedoraproject.org/koji/taskinfo?taskID=26102578)
Ok


→ NO_PACKLIST=1 requires perl(ExtUtils::MakeMaker) to be >= 6.76. Please add this requirement to the BR:

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76


Resolution: Package approved. Please fix the above issue before import.

Comment 2 Robert-André Mauchin 🐧 2018-04-01 19:01:11 UTC
I forgot: add a BR to make:

BuildRequires:  make

Comment 3 Robert Scheck 2018-04-01 23:56:45 UTC
Thank you very much for the review!

Comment 4 Gwyn Ciesla 2018-04-02 13:31:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-HTML-Restrict

Comment 5 Fedora Update System 2018-04-02 21:07:23 UTC
perl-HTML-Restrict-2.3.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a06238e91f

Comment 6 Fedora Update System 2018-04-03 15:25:12 UTC
perl-HTML-Restrict-2.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-78488d7db7

Comment 7 Fedora Update System 2018-04-03 15:52:20 UTC
perl-HTML-Restrict-2.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c438101756

Comment 8 Fedora Update System 2018-04-03 15:58:22 UTC
perl-HTML-Restrict-2.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a06238e91f

Comment 9 Fedora Update System 2018-04-07 22:13:53 UTC
perl-HTML-Restrict-2.3.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-11 16:31:23 UTC
perl-HTML-Restrict-2.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-11 19:08:09 UTC
perl-HTML-Restrict-2.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.